package com.ruoyi.system.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.system.domain.TdTrain;

/**
 * 涉密人员培训Mapper接口
 * 
 * @author ruoyi
 * @date 2024-04-11
 */
public interface TdTrainMapper extends BaseMapper<TdTrain>
{
    /**
     * 查询涉密人员培训
     * 
     * @param ID 涉密人员培训主键
     * @return 涉密人员培训
     */
    public TdTrain selectTdTrainByID(Long ID);

    /**
     * 查询涉密人员培训列表
     * 
     * @param tdTrain 涉密人员培训
     * @return 涉密人员培训集合
     */
    public List<TdTrain> selectTdTrainList(TdTrain tdTrain);

    /**
     * 新增涉密人员培训
     * 
     * @param tdTrain 涉密人员培训
     * @return 结果
     */
    public int insertTdTrain(TdTrain tdTrain);

    /**
     * 修改涉密人员培训
     * 
     * @param tdTrain 涉密人员培训
     * @return 结果
     */
    public int updateTdTrain(TdTrain tdTrain);

    /**
     * 删除涉密人员培训
     * 
     * @param ID 涉密人员培训主键
     * @return 结果
     */
    public int deleteTdTrainByID(Long ID);

    /**
     * 批量删除涉密人员培训
     * 
     * @param IDs 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTdTrainByIDs(String[] IDs);
}
